summaryrefslogtreecommitdiffstats
path: root/system/macutils
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2011-03-04 16:07:18 -0300
committer Niels Horn <niels.horn@slackbuilds.org>2011-03-04 16:07:18 -0300
commit744a0267f8aae8bfe70c9e0642737701578d89c5 (patch)
tree92f31e9ef423a77ce3570ff4931c0fa521cd2917 /system/macutils
parenta82082241c4e33501b7777622fcf5c64cda8d896 (diff)
downloadslackbuilds-744a0267f8aae8bfe70c9e0642737701578d89c5.tar.gz
slackbuilds-744a0267f8aae8bfe70c9e0642737701578d89c5.tar.xz
system/macutils: Added (tools to handle Macintosh files)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'system/macutils')
-rw-r--r--system/macutils/README4
-rw-r--r--system/macutils/macutils.SlackBuild76
-rw-r--r--system/macutils/macutils.info10
-rw-r--r--system/macutils/slack-desc19
4 files changed, 109 insertions, 0 deletions
diff --git a/system/macutils/README b/system/macutils/README
new file mode 100644
index 0000000000..e4f8cde48c
--- /dev/null
+++ b/system/macutils/README
@@ -0,0 +1,4 @@
+macutils is a package that contains a number of utilities that deal
+with Macintosh files on a Unix system. This is useful for converting
+BinHex-encoded files to the smaller MacBinary format before transferring
+them to a Mac.
diff --git a/system/macutils/macutils.SlackBuild b/system/macutils/macutils.SlackBuild
new file mode 100644
index 0000000000..c745845d88
--- /dev/null
+++ b/system/macutils/macutils.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/bash
+
+# Slackware build script for macutils
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+PRGNAM=macutils
+VERSION=${VERSION:-2.0b3_16}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+else
+ SLKCFLAGS="-O2"
+fi
+
+set -e
+
+TARVER=$( echo $VERSION | sed 's/_.*//' )
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+tar xvf $CWD/${PRGNAM}_${TARVER}.orig.tar.gz
+cd $PRGNAM
+tar xvf $CWD/$PRGNAM*.debian.tar.gz
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# The code was written in like 1995, but the debian maintainers have been
+# keeping it up-to-date with modern toolchains, so use their patches.
+for patch in $( cat debian/patches/series ); do
+ patch -p1 < debian/patches/$patch
+done
+
+sed -i 's/^\(CF *= *\)/\1 $(SLKCFLAGS)/' makefile
+make SLKCFLAGS="$SLKCFLAGS"
+mkdir -p $PKG/usr/bin
+make install BINDIR=$PKG/usr/bin
+strip $PKG/usr/bin/*
+mkdir -p $PKG/usr/man/man1
+install -m0644 man/* $PKG/usr/man/man1
+gzip -9 $PKG/usr/man/man1/*.1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+install -m0644 doc/* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/macutils/macutils.info b/system/macutils/macutils.info
new file mode 100644
index 0000000000..19fa72d1ce
--- /dev/null
+++ b/system/macutils/macutils.info
@@ -0,0 +1,10 @@
+PRGNAM="macutils"
+VERSION="2.0b3_16"
+HOMEPAGE="http://packages.debian.org/sid/macutils"
+DOWNLOAD="http://ftp.debian.org/debian/pool/main/m/macutils/macutils_2.0b3.orig.tar.gz http://ftp.debian.org/debian/pool/main/m/macutils/macutils_2.0b3-16.debian.tar.gz"
+DOWNLOAD_x86_64=""
+MD5SUM="4ff71b1634ea503398c33994458fbe40 23c33ea631db73c653c788de71181809"
+MD5SUM_x86_64=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
+APPROVED="Niels Horn"
diff --git a/system/macutils/slack-desc b/system/macutils/slack-desc
new file mode 100644
index 0000000000..f33eed0dd7
--- /dev/null
+++ b/system/macutils/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+macutils: macutils (tools to handle Macintosh files)
+macutils:
+macutils: macutils is a package that contains a number of utilities that
+macutils: deal with Macintosh files on a Unix system. This is useful for
+macutils: converting BinHex-encoded files to the smaller MacBinary format before
+macutils: transferring them to a Mac.
+macutils:
+macutils:
+macutils:
+macutils:
+macutils: